PHP-инклюдинг в RSPA

Дата публикации:
09.04.2007
Всего просмотров:
1121
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-1851
CVE-2007-1982
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RSPA (Really Simple PHP and AJAX)
Уязвимые версии: RSPA (Really Simple PHP and AJAX) rspa-2007-03-23, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "__IncludeFilePHPClass" и "__ClassPath" в сценариях parameters in framework/Controller_v4.php и framework/Controller_v5.php, и в параметре "__class" в сценариях framework/Controller_v4.php и framework/Controller_v5.php. Удаленный пользователь может с помощью специально сформированного запроса просмотреть содержимое произвольных файлов на системе и выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: rspa.sourceforge.net/rspa/docs/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA